org.apache.poi.xddf.usermodel.text

## Class XDDFFont

- java.lang.Object
- - org.apache.poi.xddf.usermodel.text.XDDFFont

-     @Beta
      public class XDDFFont
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `XDDFFont(FontGroup group, org.openxmlformats.schemas.drawingml.x2006.main.CTTextFont font)`
    `` | `XDDFFont(FontGroup group, java.lang.String typeface, java.lang.Byte charset, java.lang.Byte pitch, byte[] panose)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Byte` | `getCharset()`
    `FontGroup` | `getGroup()`
    `byte[]` | `getPanose()`
    `java.lang.Byte` | `getPitchFamily()`
    `java.lang.String` | `getTypeface()`
    `protected org.openxmlformats.schemas.drawingml.x2006.main.CTTextFont` | `getXmlObject()`
    `static XDDFFont` | `unsetFontForGroup(FontGroup group)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XDDFFont

          public XDDFFont(FontGroup group,
                          java.lang.String typeface,
                          java.lang.Byte charset,
                          java.lang.Byte pitch,
                          byte[] panose)

    - #### XDDFFont

          @Internal
          protected XDDFFont(FontGroup group,
                                       org.openxmlformats.schemas.drawingml.x2006.main.CTTextFont font)

  - ### Method Detail

    - #### unsetFontForGroup

          public static XDDFFont unsetFontForGroup(FontGroup group)

    - #### getXmlObject

          @Internal
          protected org.openxmlformats.schemas.drawingml.x2006.main.CTTextFont getXmlObject()

    - #### getGroup

          public FontGroup getGroup()

    - #### getTypeface

          public java.lang.String getTypeface()

    - #### getCharset

          public java.lang.Byte getCharset()

    - #### getPitchFamily

          public java.lang.Byte getPitchFamily()

    - #### getPanose

          public byte[] getPanose()

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.